Name:           radeontool
Version:        1.5
Release:        3%{?dist}
Summary:        Backlight and video output configuration tool for radeon cards

Group:          System Environment/Base
License:        zlib
URL:            http://fdd.com/software/radeon/
Source0:        http://fdd.com/software/radeon/radeontool-%{version}.tar.gz
Patch20:        radeontool-1.5.diff
Patch21:        radeontool-fix-option-handling.diff
Patch22:        radeontool-get-rid-of-lspci.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pciutils-devel zlib-devel
# radeontool is included in (some of) these pm-utils releases
Conflicts:      pm-utils <= 0.99.3-11


%description
Radeontool may switch the backlight and external video output on and off.  Use
radeontool at your own risk, it may damage your hardware.


%prep
%setup -q
%patch20 -p0 -b .volatile
%patch21 -p0 -b .options
%patch22 -p0 -b .no-lspci


%build
gcc $RPM_OPT_FLAGS -o radeontool radeontool.c -lpci -lz


%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

install -D -m 755 radeontool $RPM_BUILD_ROOT/%{_sbindir}/radeontool


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES
%{_sbindir}/radeontool


%changelog
* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5-3
- Autorebuild for GCC 4.3

* Fri Sep 07 2007 Till Maas <opensource till name> - 1.5-2
- add Conflicts with old pm-utils package

* Fri Aug 31 2007 Till Maas <opensource till name> - 1.5-1
- initial release for Fedora with patches from pm-utils package
